import { requests } from './index';
const PREFIX = 'api-marketing/';

import config from '@/config';
export const url = config.api + PREFIX;

// 兑换计划分页接口
export const cdkeyPlanRecord = params => requests(PREFIX + 'cdkey-plan-record', params);

// 兑换码-- 禁用
export const cdkeyPlanForbid = params => requests(PREFIX + 'cdkey-plan-forbid', params);

// 兑换码-- 删除
export const cdkeyPlanDelete = params => requests(PREFIX + 'cdkey-plan-delete', params);

// 兑换记录
export const cdkeyLogRecord = params => requests(PREFIX + 'cdkey-log-record', params);

// 保存/修改兑换码计划
export const cdkeyPlanSave = params => requests(PREFIX + 'cdkey-plan-save', params, false, false, 'POST', true);

// 校验兑换码
export const cdkeyCheck = PREFIX + 'cdkey-check';
